{
  inputs.nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
  inputs.git-hooks.url = "github:cachix/git-hooks.nix";
  inputs.git-hooks.inputs.nixpkgs.follows = "nixpkgs";
  outputs =
    inputs:
    let
      inherit (import nix/boilerplate.nix inputs) call genPkgs;
    in
    {
      # overlays = import nix/overlays.nix;
      packages = call (import nix/packages.nix);
      checks = call (import nix/checks.nix);
      devShells = call (import nix/shells.nix);
      formatter = genPkgs (p: p.nixfmt-rfc-style);
    };
}
